<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// needs to be included earlier to set the success message in the messageStack
  require('includes/languages/' . $language . '/ask_a_question.php');
    
  if (!tep_session_is_registered('customer_id') && (ALLOW_ASK_A_QUESTION != 'true')) {
    // is guests are not allowed to ask a question and customer is not logged in return to product page
    tep_redirect(tep_href_link('product_info.php', 'products_id=' . $_GET['products_id']));
  }

  $valid_product = false;
  if (isset($_GET['products_id'])) {
    $product_info_query = tep_db_query("select pd.products_name, p.products_model, p.manufacturers_id, p.products_image from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$_GET['products_id'] . "' and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "'");
    if (tep_db_num_rows($product_info_query)) {
      $valid_product = true;
      $product_info = tep_db_fetch_array($product_info_query);
    }
  }

  if ($valid_product == false) {
    tep_redirect(tep_href_link('product_info.php', 'products_id=' . $_GET['products_id']));
  }
  $product_info_query = tep_db_query("select manufacturers_name from " . TABLE_MANUFACTURERS . " where manufacturers_id = " . (int)$product_info['manufacturers_id']);
  $mfg = tep_db_fetch_array($product_info_query);
 
  if (isset($_GET['action']) && ($_GET['action'] == 'process') && isset($_POST['formid']) && ($_POST['formid'] == $sessiontoken)) {
    $error = false;

    $from_email_address = tep_db_prepare_input($_POST['from_email_address']);
    $from_name = tep_db_prepare_input($_POST['from_name']);
    $message = tep_db_prepare_input($_POST['message']);
//Remove any newline and anything after it on the header fields of the mail.
    $from_name = preg_replace('/[\n|\r].*/', '', $from_name);
//Dont send any injection type mails.
    $from_name = preg_replace('/Content-Type:.*/i', '', $from_name);

    if (empty($from_name)) {
      $error = true;
      $messageStack->add('ask_quest', ERROR_FROM_NAME);
    }

    if (!tep_validate_email($from_email_address)) {
      $error = true;
      $messageStack->add('ask_quest', ERROR_FROM_ADDRESS);
    }

    if (!tep_not_null($message)) {
      $error = true;
      $messageStack->add('ask_quest', ERROR_MESSAGE);
    }

    if ($error == false) {
      $email_subject = sprintf(TEXT_EMAIL_SUBJECT, $from_name, STORE_NAME);
      $email_body = sprintf(TEXT_EMAIL_INTRO, STORE_OWNER, $from_name, $product_info['products_name'], $mfg['manufacturers_name'] . ' ' . $product_info['products_model']) . "\n\n";

      $email_body .= $message . "\n\n";

      $email_body .= sprintf(TEXT_EMAIL_LINK, '<a href="' .tep_href_link('product_info.php', 'products_id=' . $_GET['products_id']) . '">' . tep_href_link('product_info.php', 'products_id=' . $_GET['products_id']) . '</a>') . "\n\n" .
                     sprintf(TEXT_EMAIL_SIGNATURE, STORE_NAME . "\n" . HTTP_SERVER . DIR_WS_CATALOG . "\n");

      tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, $email_subject, $email_body, $from_name, $from_email_address);

      $messageStack->add_session('header', sprintf(TEXT_EMAIL_SUCCESSFUL_SENT, $product_info['products_name']), 'success');

      tep_redirect(tep_href_link('product_info.php', 'products_id=' . $_GET['products_id']));
    }
  } elseif (tep_session_is_registered('customer_id')) {
    $account_query = tep_db_query("select customers_firstname, customers_lastname, customers_email_address from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customer_id . "'");
    $account = tep_db_fetch_array($account_query);

    $from_name = $account['customers_firstname'] . ' ' . $account['customers_lastname'];
    $from_email_address = $account['customers_email_address'];
  }

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link('ask_a_question.php', 'products_id=' . $_GET['products_id']));
  
  
  require('includes/template_top.php');
?>

<div class="page-header">
  <h1><?php echo HEADING_TITLE . '</h1><h2>' . $product_info['products_name']; ?></h2>
</div>

<?php
  if ($messageStack->size('ask_quest') > 0) {
    echo $messageStack->output('ask_quest');
  }

  echo tep_draw_form('ask_question', tep_href_link('ask_a_question.php', 'action=process&products_id=' . $_GET['products_id']), 'post', 'class="form-horizontal"', true);
?>

<div class="contentContainer">
  <div class="contentText">

    <p class="text-danger text-right"><?php echo FORM_REQUIRED_INFORMATION; ?></p>
    <div class="clearfix"></div>

    <div class="contentText">
      <div class="form-group has-feedback">
        <label for="inputName" class="control-label col-sm-3"><?php echo ENTRY_NAME; ?></label>
        <div class="col-sm-9">
          <?php 
		    echo tep_draw_input_field('from_name', $from_name, 'required aria-required="true" id="inputName" placeholder="' . FORM_FIELD_CUSTOMER_NAME . '"');
            echo FORM_REQUIRED_INPUT;
		  ?>
        </div>
      </div>
      <div class="form-group has-feedback">
        <label for="inputEmail" class="control-label col-sm-3"><?php echo ENTRY_EMAIL; ?></label>
        <div class="col-sm-9">
          <?php 
		    echo tep_draw_input_field('from_email_address', $from_email_address, 'required aria-required="true" id="inputEmail" placeholder="' . FORM_FIELD_CUSTOMER_EMAIL . '"', 'email');
            echo FORM_REQUIRED_INPUT;
		  ?>
        </div>
      </div>
      <div class="form-group has-feedback">
        <label for="inputMessage" class="control-label col-sm-3"><?php echo ENTRY_ENQUIRY; ?></label>
        <div class="col-sm-9">
          <?php 
		    echo tep_draw_textarea_field('message', 'soft', 50, 8, $message,'id="inputMessage" placeholder="' . FORM_TITLE_FRIEND_MESSAGE . '"');
            echo FORM_REQUIRED_INPUT;
          ?>
        </div>
      </div>
    </div>

    <p>&nbsp;</p>

    <div class="buttonSet row">
      <div class="col-xs-6"><?php echo tep_draw_button(IMAGE_BUTTON_BACK, 'fa fa-angle-left', tep_href_link('product_info.php', 'products_id=' . $_GET['products_id'])); ?></div>
      <div class="col-xs-6 text-right"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'fa fa-angle-right', null, 'primary', null, 'btn-success'); ?></div>
    </div>
  </div>
</div>

</form>

<p>&nbsp;</p>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>
